<template>
  <form>
    <p v-for="item in inputFields" :key="item.id">
      <label> {{ item.text }}</label>
      <input
        align="left"
        style="margin: 5px 10px"
        :type="item.type"
        :required="item.req"
      />
    </p>
    <button type="submit">Submit</button>
  </form>
</template>
<script>
export default {
  name: "FormHome",
  props: ["inputFields"],
  beforeCreate() {
    console.log(`(Form) beforeCreate.`);
  },
  created() {
    console.log(`(Form) created.`);
  },
  beforeMount() {
    console.log(`(Form) beforeMount.`);
  },
  mounted() {
    console.log(`(Form) mounted.`);
  },
  beforeUpdate() {
    console.log(`(Form) beforeUpdate.`);
  },
  updated() {
    console.log(`(Form) updated.`);
  },
  beforeUnmount() {
    console.log(`(Form) beforeUnmount.`);
  },
  unmounted() {
    console.log(`(Form) unmounted.`);
  },
};
</script>

<style scoped>
form {
  width: 200px;
  margin: 10px auto;
  display: table;
}
p {
  display: table-row;
}
label {
  display: table-cell;
}
input {
  display: table-cell;
}
</style>